/*全局自适应高度*/
function autoFlashHeight(){
    var headerHeight = $(".header").height();
    var toolsbarHeight = $(".toolsbar").height();
    var ftoolsbarHeight = $(".toolsbar-f").height();
    var bottomContentHeight = $(".bottom-content").height();
    var toolsBarHeightQ = $(".tools-bar-height-q").height();
    var toolsBarHeightD = $(".tools-bar-height-d").height();
    var toolsBarHeightZ = $(".tools-bar-height-z").height();
    var toolsBarHeightY = $(".tools-bar-height-y").height();
    $(".main-data-side-q").height($(window).height()-headerHeight-toolsbarHeight-toolsBarHeightQ-302);
    $(".main-data-side-d").height($(window).height()-headerHeight-toolsbarHeight-toolsBarHeightD-302);
    $(".main-data-side-m").height($(window).height()-headerHeight-toolsbarHeight-toolsBarHeightD-382);
    $(".main-data-side-y").height($(window).height()-headerHeight-toolsbarHeight-toolsBarHeightY-302);
    $(".main-data-side-z").height($(window).height()-headerHeight-toolsbarHeight-toolsBarHeightZ-2);
    $(".main-data-side-x").height($(window).height()-headerHeight-toolsbarHeight-toolsBarHeightY-2);
    $(".main-data-top").height($(window).height()-headerHeight-toolsbarHeight-bottomContentHeight-1);
    $(".main-data-top-side").height($(window).height()-headerHeight-toolsbarHeight-bottomContentHeight-1);
    $(".main-data-full").height($(window).height()-headerHeight-toolsbarHeight-1);
    $(".main-data-full-fl").height($(window).height()-headerHeight-toolsbarHeight-37);
    $(".main-data-not").height($(window).height()-headerHeight-1);
    $(".main-data-side-search").height($(window).height()-headerHeight-toolsbarHeight-81);
    $(".side-content").height($(window).height()-headerHeight );
    $(".poj-list").height($(window).height()-headerHeight-toolsbarHeight);
    $(".form-view").height($(window).height()-headerHeight-ftoolsbarHeight);
    $(".form-list").height($(window).height()-headerHeight-50 );
};
$(window).resize(autoFlashHeight);
/*全局自适应高度结束*/
$(function(){
/*侧滑*/
$(".open-sidebar").click(function(){
    $(".slide-sidebar").animate({width:"800"}).addClass("open");
});
$("body").click(function(event){
        var e = event || window.event; //浏览器兼容性
        if(!$(event.target).is('a')) {
            var elem = event.target || e.srcElement;
            while (elem) { //循环判断至跟节点，防止点击的是div子元素
                if (elem.className == "open-sidebar" || elem.className == 'slide-sidebar open') {
                    return false;
                }
                elem = elem.parentNode;
            }
            $(".slide-sidebar").animate({width:"0"}).removeClass("open")// 关闭处理
        }

    });
/*侧滑*/
/*工具提示*/
$(function () {
  $('[data-toggle="tooltip"]').tooltip();
  $('[data-toggle="popover"]').popover();
  $('[data-submenu]').submenupicker();
});
});
